/**
 * Theme Name:     GeneratePress Child
 * Author:         Tom Usborne
 * Template:       generatepress
 * Text Domain:	   generatepress-child
 * Description:    GeneratePress is a lightweight WordPress theme built with a focus on speed and usability. Performance is important to us, which is why a fresh GeneratePress install adds less than 10kb (gzipped) to your page size. We take full advantage of the block editor (Gutenberg), which gives you more control over creating your content. If you use page builders, GeneratePress is the right theme for you. It is completely compatible with all major page builders, including Beaver Builder and Elementor. Thanks to our emphasis on WordPress coding standards, we can boast full compatibility with all well-coded plugins, including WooCommerce. GeneratePress is fully responsive, uses valid HTML/CSS, and is translated into over 25 languages by our amazing community of users. A few of our many features include 60+ color controls, powerful dynamic typography, 5 navigation locations, 5 sidebar layouts, dropdown menus (click or hover), and 9 widget areas. Learn more and check out our powerful premium version at https://generatepress.com
 */


/*************************************************************************/
/********* Header ********************************************************/

.site-header {
/*	background-color: transparent;
    background-image: linear-gradient(90deg, #00C5D226 0%, #D5704C2E 100%);
	*/
}

.site-header {
	-webkit-box-shadow: 0px 0px 10px rgba(50, 50, 50, 0.17); -moz-box-shadow: 0px 0px 10px rgba(50, 50, 50, 0.17); box-shadow: 0px 0px 10px rgba(50, 50, 50, 0.17);
}

.inside-header {
    padding: 0px 20px;
}
/*.site-header {margin-top:20px;} */

.main-title {
	line-height: 2em;
	font-weight: 500;/*
	padding-top:20px;
	padding-bottom:20px;*/
}

/*************************************************************************/
/********* TOP MENU ******************************************************/

.main-navigation ul ul {
	width: 250px;
}

/*.main-navigation .main-nav>ul { margin-left: 20px; }*/
ol, ul { margin: 0 0 1.5em 2em; }

.main-navigation .main-nav ul li a {
    padding-left: 20px;
    padding-right: 20px;
    line-height: 80px;
}

.menu-toggle a {
    line-height: 40px;
}

.main-navigation a, .main-navigation .menu-toggle, .main-navigation .menu-bar-items {
	font-weight: 400;
}

@media (max-width: 768px) {
	.main-navigation .main-nav ul li a {
    padding-left: 20px;
    padding-right: 20px;
    line-height: 60px;
}
}

/*************************************************************************/
/********* MAIN CONTAINERS TOPOGRAPHY ************************************/

.separate-containers .comments-area {
	padding-top: 0px;
    padding-right: 40px;
    padding-bottom: 0px;
    padding-left: 40px;
}

.one-container .site-content {
    padding: 20px;
}

.one-container.both-right .site-main, .one-container.right-sidebar .site-main {
    margin-right: 20px;
}

/*************************************************************************/
/********* CONTENT/ARTICLE ***********************************************/


.content-area { text-align:justify; }

.comments-link { display:none; }

#comments {margin: 0px auto;}

#wpdcom {	 max-width: 1040px;	}

.inside-article li {	margin-bottom:0px;	}

p {	    margin-bottom: 1em;	}

/* Space/padding after just aftrer the post/page begning  */
.entry-content:not(:first-child), .entry-summary:not(:first-child), .page-content:not(:first-child) {
    margin-top: 1em;
}


/*************************************************************************/
/********* WIDGET ********************************************************/


.widget-area .widget {
	padding-top: 0px;
	padding-left: 10px;
	padding-right:20px;
	padding-bottom:0px;
	border-left:10px  red;
}


.widget-title {
    margin-bottom: 20px;
    font-size: 22px; 
	font-weight: 700;
}

/*************************************************************************/
/********* RANK MATH *****************************************************/

.wp-block-toc-block {
    background: #4098d7;
    background: linear-gradient(45deg,#724BB7 0%,#4098D7 100%);
    background-size: cover;
    color: #ffffff;
	text-align:left;
    padding: 1rem;
    margin: 0 0rem 2rem;
}

.wp-block-toc-block a {
	color: #fff; text-decoration: none
}

/********************************************************************/
/********************************************************************/
/* Common UNIT Tool Container */
.unit-tool-container {
    color: #333;	
    background-color: #ffffff;
    border-radius: 10px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.05);
    box-sizing: border-box;
}

/* Inputs, Selects */
.unit-tool-container input,
.unit-tool-container select {
	width:100%;
    padding: 6px;
    border: 1px solid #ccc;
    border-radius: 6px;
    box-sizing: border-box;
    margin-top: 0px;
    background-color: #f9f9f9;
    color: #333;
    transition: border-color 0.3s ease;
}

/*Border Color Change On Select*/
.unit-tool-container input:focus,
.unit-tool-container select:focus,
.unit-tool-container textarea:focus {
    border-color: #0073aa;
    outline: none;
}

/* Tables */
.unit-tool-container table {
    width: 100%;
    border-collapse: collapse;
	background-color: #ffffff;
    margin-top: 20px;
    margin-bottom: 20px;
    box-shadow: 0 0 0px rgba(0,0,0,0.05);
}

.unit-tool-container table th, 
.unit-tool-container table td {
    border: 1px solid #ddd;
    padding: 12px 12px 12px 12px;
    text-align: left;
}

/*
.unit-tool-container table tr:nth-child(even) {
    background-color: #f9f9f9;
}
*/
/* Result Output Box */
.unit-tool-container .unit-result-box, .unit-tool-container .unit-input-box {
/*    margin-top: 0px;
    margin-bottom: 0px;	*/
	padding: 2px;
    background-color: #f0f8ff;
    border: 2px solid #007acc;
    border-radius: 10px;
    text-align: center;
    font-weight: bold;
    color: #003366;
    box-sizing: border-box;	
}


/* Input Unit Wrapper */
.unit-tool-container .unit-input-wrapper {
    display: flex;
    align-items: center;
/*    flex-wrap: wrap;	*/
    gap: 8px;
}


.unit-search-input {
    width: 100%;
    padding: 8px 12px;
    margin-bottom: 0;
    font-size: 14px;
    border: 1px solid #ddd;
    border-radius: 4px;
}

.unit-option {
    padding: 8px 12px;
    margin: 2px 0;
    cursor: pointer;
    transition: all 0.2s;
    font-size: 14px;
    border-bottom: 1px solid #eee;
}

.unit-option:hover {
	background-color: #e9e9e9;
}

.unit-option.active {
    background-color: #003049;
    color: white;
    border-color: #003049;
}

/* Dropdown menu*/
.unit-dropdown {
    padding: 6px;
    border: 2px solid #007acc;
   	border-radius: 6px;
    box-sizing: border-box;
    margin-top: 0px;
    background-color: #f9f9f9;
    color: #333;
    transition: border-color 0.3s ease;
}
        
        
/* Desktop styles (≥800px) */
@media (min-width: 769px) {
	
     .unit-options {
			max-height: 250px;
            overflow-y: auto;
            border: 1px solid #eee;
            border-top: none;
            border-radius: 0 0 4px 4px;
            margin-bottom: 10px;
            border-radius: 4px;
       }
}
        
/* Mobile styles (<800px) */
@media (max-width: 768px) {
		.unit-desktop-only {
        	display: none !important;
		}
            
      .unit-tool-container table td {
             display: block;
             width: 100% !important;
             padding: 5px 0;
		  	 border: 0px solid #ddd;
            }
            
      .unit-tool-container table tr {
                display: block;
                margin-bottom: 10px;
    			border: 0px solid #ddd;
            }
			
		/* Search shown but Options are hidden*/
      .unit-options {
            	max-height: 0;
            	overflow: hidden;
            	border: none;
            	background: #f9f9f9;
            	transition: max-height 0.3s ease;
        	}

        	.unit-search-container.active .unit-options {
            	max-height: 250px;
            	overflow-y: auto;
            	border: 1px solid #eee;
           		border-top: none;
            	border-radius: 0 0 4px 4px;
            	margin-bottom: 10px;
        	}
}

.unit-table-tool-container table {
    width: 100%;
    border-collapse: collapse;
	background-color: #ffffff;
    margin-top: 20px;
    margin-bottom: 20px;
    box-shadow: 0 0 0px rgba(0,0,0,0.05);
}

.unit-inline-container {
    display: flex;
    align-items: center;
    gap: 10px; /* Adjust spacing between elements */
}

/********** UNIT HOME PAGE */
.unit-converter-tabs {
	display: flex;
    margin-bottom: 15px;
    border-bottom: 1px solid #003049;
    flex-wrap: wrap;
}

.unit-converter-tab {
	padding: 5px 7px;
    cursor: pointer;
    background: #f5f5f5;
    margin-right: 5px;
    border-radius: 5px 5px 0 0;
    border: 1px solid #ddd;
    border-bottom: none;
}

.unit-converter-tab.active {
	background: #003049;
    color: white;
    border-color: #003049;
}

.unit-converter-content {
	display: none;
}

.unit-converter-content.active {
	display: block;
}

/* Responsive adjustments */
@media (max-width: 600px) {
	.unit-tool-container {	padding: 0px;	}
    .unit-tool-container h2 {	font-size: 20px;	}
	.unit-tool-container table {    margin-top: 0px;	margin-bottom: 20px;	}
    .unit-tool-container table th, 
    .unit-tool-container table td {	padding: 8px;	/*   font-size: 14px;	*/	}
    .unit-tool-container button {	padding: 12px;	/*    font-size: 15px;	*/	}
	.unit-tool-container .result-box {	margin-top: 0px;	}

	
    .unit-table-tool-container table td {
             display: block;
		 	 text-align:left;
             width: 100% !important;
             padding: 5px 0;
		  	 border: 0px solid #ddd;
      }

}

@media (max-width: 400px) {
    .unit-tool-container input,
    .unit-tool-container select {	width: 100%;	    }
    .unit-tool-container .input-unit-wrapper {		}
    .unit-tool-container table td label {	display: block;	 margin-bottom: 4px;	}
	.unit-tool-container-cell {	width: 150px;	}
}


/********************************************************************/
/********************************************************************/

